#!/usr/bin/python
import datetime
from gpiozero import LED as GPIO
from time import sleep
from sprinkler_classes import Zone

def datestamp():
  return datetime.datetime.now().strftime("%Y-%m-%d %H:%M:%S")

# Zone format = GPIO, duration in minutes, friendly name, description
zones=[
  Zone(23, 15, "Zone 1", "This is the first zone"),
  Zone(22, 15, "Zone 2", "This is the second zone"),
  Zone(18, 10, "Zone 3", "This is the third zone"),
  Zone(17, 10, "Zone 4", "This is the fourth zone")
]

time_between_zones=30

print datestamp(), "\tStarting sprinkler run."

# for each zone, configure the GPIO, start the zone, wait the duration, stop the zone,
# wait a pre-determined amount of time before moving on to the next one
for zone in zones:
  print datestamp(), "\tRunning", zone.name, "for", zone.duration, "minutes."
  gpio=GPIO(zone.channel,False);
  gpio.on()
  sleep(zone.duration * 60)
  gpio.off()
  print datestamp(), "\t", zone.name, "run is completed."
  sleep(time_between_zones)

print datestamp(), "\tSprinkler run has completed."


